Package org.eclipse.m2m.atl.emftvm

## Enum ConstantTag

- java.lang.Object
- - java.lang.Enum<ConstantTag>
  - - org.eclipse.m2m.atl.emftvm.ConstantTag

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ConstantTag>`, `org.eclipse.emf.common.util.Enumerator`

    public enum ConstantTag
    extends java.lang.Enum<ConstantTag>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Constant Tag', and utility methods for working with them.

See Also:
  `EmftvmPackage.getConstantTag()`

### Enum Constant Summary

Enum Constants
`BYTE` The 'Byte' literal object.
`CHARACTER` The 'Character' literal object.
`DOUBLE` The 'Double' literal object.
`ENUM_LITERAL` The 'Enum Literal' literal object.
`FLOAT` The 'Float' literal object.
`INTEGER` The 'Integer' literal object.
`LONG` The 'Long' literal object.
`NULL` The 'Null' literal object.
`SHORT` The 'Short' literal object.
`STRING` The 'String' literal object.

### Field Summary

Fields
`static int` `BYTE_VALUE` The 'Byte' literal value.
`static int` `CHARACTER_VALUE` The 'Character' literal value.
`static int` `DOUBLE_VALUE` The 'Double' literal value.
`static int` `ENUM_LITERAL_VALUE` The 'Enum Literal' literal value.
`static int` `FLOAT_VALUE` The 'Float' literal value.
`static int` `INTEGER_VALUE` The 'Integer' literal value.
`static int` `LONG_VALUE` The 'Long' literal value.
`static int` `NULL_VALUE` The 'Null' literal value.
`static int` `SHORT_VALUE` The 'Short' literal value.
`static int` `STRING_VALUE` The 'String' literal value.
`static java.util.List<ConstantTag>` `VALUES` A public read-only list of all the 'Constant Tag' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ConstantTag` `get​(int value)` Returns the 'Constant Tag' literal with the specified integer value.
`static ConstantTag` `get​(java.lang.String literal)` Returns the 'Constant Tag' literal with the specified literal value.
`static ConstantTag` `getByName​(java.lang.String name)` Returns the 'Constant Tag' literal with the specified name.
`java.lang.String` `getLiteral()` Returns the 'Constant Tag' literal string value.
`java.lang.String` `getName()` Returns the 'Constant Tag' literal name.
`int` `getValue()` Returns the 'Constant Tag' literal integer value.
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ConstantTag` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConstantTag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final ConstantTag STRING

The 'String' literal object.

See Also:
  `STRING_VALUE`

#### INTEGER

    public static final ConstantTag INTEGER

The 'Integer' literal object.

See Also:
  `INTEGER_VALUE`

#### DOUBLE

    public static final ConstantTag DOUBLE

The 'Double' literal object.

See Also:
  `DOUBLE_VALUE`

#### BYTE

    public static final ConstantTag BYTE

The 'Byte' literal object.

See Also:
  `BYTE_VALUE`

#### CHARACTER

    public static final ConstantTag CHARACTER

The 'Character' literal object.

See Also:
  `CHARACTER_VALUE`

#### FLOAT

    public static final ConstantTag FLOAT

The 'Float' literal object.

See Also:
  `FLOAT_VALUE`

#### SHORT

    public static final ConstantTag SHORT

The 'Short' literal object.

See Also:
  `SHORT_VALUE`

#### LONG

    public static final ConstantTag LONG

The 'Long' literal object.

See Also:
  `LONG_VALUE`

#### ENUM_LITERAL

    public static final ConstantTag ENUM_LITERAL

The 'Enum Literal' literal object.

See Also:
  `ENUM_LITERAL_VALUE`

#### NULL

    public static final ConstantTag NULL

The 'Null' literal object.

See Also:
  `NULL_VALUE`

### Field Detail

#### STRING_VALUE

    public static final int STRING_VALUE

The 'String' literal value.

If the meaning of 'String' literal object isn't clear, there really should be more of a description here...

See Also:
  `STRING`, Constant Field Values

#### INTEGER_VALUE

    public static final int INTEGER_VALUE

The 'Integer' literal value.

If the meaning of 'Integer' literal object isn't clear, there really should be more of a description here...

See Also:
  `INTEGER`, Constant Field Values

#### DOUBLE_VALUE

    public static final int DOUBLE_VALUE

The 'Double' literal value.

If the meaning of 'Double' literal object isn't clear, there really should be more of a description here...

See Also:
  `DOUBLE`, Constant Field Values

#### BYTE_VALUE

    public static final int BYTE_VALUE

The 'Byte' literal value.

If the meaning of 'Byte' literal object isn't clear, there really should be more of a description here...

See Also:
  `BYTE`, Constant Field Values

#### CHARACTER_VALUE

    public static final int CHARACTER_VALUE

The 'Character' literal value.

If the meaning of 'Character' literal object isn't clear, there really should be more of a description here...

See Also:
  `CHARACTER`, Constant Field Values

#### FLOAT_VALUE

    public static final int FLOAT_VALUE

The 'Float' literal value.

If the meaning of 'Float' literal object isn't clear, there really should be more of a description here...

See Also:
  `FLOAT`, Constant Field Values

#### SHORT_VALUE

    public static final int SHORT_VALUE

The 'Short' literal value.

If the meaning of 'Short' literal object isn't clear, there really should be more of a description here...

See Also:
  `SHORT`, Constant Field Values

#### LONG_VALUE

    public static final int LONG_VALUE

The 'Long' literal value.

If the meaning of 'Long' literal object isn't clear, there really should be more of a description here...

See Also:
  `LONG`, Constant Field Values

#### ENUM_LITERAL_VALUE

    public static final int ENUM_LITERAL_VALUE

The 'Enum Literal' literal value.

If the meaning of 'Enum Literal' literal object isn't clear, there really should be more of a description here...

See Also:
  `ENUM_LITERAL`, Constant Field Values

#### NULL_VALUE

    public static final int NULL_VALUE

The 'Null' literal value.

If the meaning of 'Null' literal object isn't clear, there really should be more of a description here...

See Also:
  `NULL`, Constant Field Values

#### VALUES

    public static final java.util.List<ConstantTag> VALUES

A public read-only list of all the 'Constant Tag' enumerators.

### Method Detail

#### values

    public static ConstantTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConstantTag c : ConstantTag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConstantTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static ConstantTag get​(java.lang.String literal)

Returns the 'Constant Tag' literal with the specified literal value.

Parameters:
  `literal` - the literal string value
  `literal` - the literal.
Returns:
  the 'Constant Tag' literal with the specified literal value.

#### getByName

    public static ConstantTag getByName​(java.lang.String name)

Returns the 'Constant Tag' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Constant Tag' literal with the specified name.

#### get

    public static ConstantTag get​(int value)

Returns the 'Constant Tag' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Constant Tag' literal with the specified integer value.

#### getValue

    public int getValue()

Returns the 'Constant Tag' literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the 'Constant Tag' literal integer value.

#### getName

    public java.lang.String getName()

Returns the 'Constant Tag' literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the 'Constant Tag' literal name.

#### getLiteral

    public java.lang.String getLiteral()

Returns the 'Constant Tag' literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the 'Constant Tag' literal string value.

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<ConstantTag>`
Returns:
  the literal value of the enumerator, which is its string representation.